Skip to content
Start here

Get Gateway URL

client.AIGateway.URLs.Get(ctx, gatewayID, provider, query) (*string, error)
GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/url/{provider}

Retrieves the endpoint URL for an AI Gateway.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
gatewayID string

Unique identifier of the AI Gateway within the account.

maxLength64
minLength1
provider string
query URLGetParams
AccountID param.Field[string]
ReturnsExpand Collapse
type URLGetResponseEnvelopeResult string

Get Gateway URL

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  url, err := client.AIGateway.URLs.Get(
    context.TODO(),
    "my-gateway",
    "workers-ai",
    ai_gateway.URLGetParams{
      AccountID: cloudflare.F("0d37909e38d3e99c29fa2cd343ac421a"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", url)
}
{
  "result": "result",
  "success": true
}
Returns Examples
{
  "result": "result",
  "success": true
}